package com.logicbig.example;


import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.core.Response;

@Path("orders")
public class OrderService {

    @GET
    @Path("{orderId:\\d+}/items/{itemId:[a-z]\\d{2,3}}")
    public Response getOrderItemByItemId(@PathParam("orderId") String orderId,
                                         @PathParam("itemId") String itemId) {
        return Response.status(Response.Status.OK)
                .entity("order id: " + orderId + " and item id: " + itemId)
                .build();
    }

    @GET
    @Path("{orderId}/items/{itemId}")
    public Response getInvalidOrderItemByItemId(@PathParam("orderId") String orderId,
                                                @PathParam("itemId") String itemId) {
        return Response.status(Response.Status.BAD_REQUEST)
                .entity("The requested order id or item id are not valid. order id: " + orderId +
                        " and item id: " + itemId)
                .build();
    }
}